ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ronald van de Kuil (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-22516) Ambari 2.6 build has python 2.6 dependency
Date Wed, 29 Nov 2017 17:34:00 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-22516?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16271174#comment-16271174
] 

Ronald van de Kuil commented on AMBARI-22516:
---------------------------------------------

stderr: 
Traceback (most recent call last):
  File "/var/lib/ambari-agent/cache/common-services/ZOOKEEPER/3.4.5/package/scripts/zookeeper_client.py",
line 79, in <module>
    ZookeeperClient().execute()
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 367, in execute
    method(env)
  File "/var/lib/ambari-agent/cache/common-services/ZOOKEEPER/3.4.5/package/scripts/zookeeper_client.py",
line 59, in install
    self.install_packages(env)
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 813, in install_packages
    retry_count=agent_stack_retry_count)
  File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 166, in __init__
    self.env.run()
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 160,
in run
    self.run_action(resource, action)
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 124,
in run_action
    provider_action()
  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py",
line 53, in action_install
    self.install_package(package_name, self.resource.use_repos, self.resource.skip_repos)
  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/yumrpm.py",
line 251, in install_package
    self.checked_call_with_retries(cmd, sudo=True, logoutput=self.get_logoutput())
  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py",
line 251, in checked_call_with_retries
    return self._call_with_retries(cmd, is_checked=True, **kwargs)
  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py",
line 268, in _call_with_retries
    code, out = func(cmd, **kwargs)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 72, in inner
    result = function(command, **kwargs)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 102, in
checked_call
    tries=tries, try_sleep=try_sleep, timeout_kill_strategy=timeout_kill_strategy)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 150, in
_call_wrapper
    result = _call(command, **kwargs_copy)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 303, in
_call
    raise ExecutionFailed(err_msg, code, out, err)
resource_management.core.exceptions.ExecutionFailed: Execution of '/usr/bin/yum -d 0 -e 0
-y install zookeeper_2_6_4_0_49-server' returned 1.  One of the configured repositories failed
(Red Hat Enterprise Linux 7.4),
 and yum doesn't have enough cached data to continue. At this point the only
 safe thing yum can do is fail. There are a few ways to work "fix" this:

     1. Contact the upstream for the repository and get them to fix the problem.

     2. Reconfigure the baseurl/etc. for the repository, to point to a working
        upstream. This is most often useful if you are using a newer
        distribution release than is supported by the repository (and the
        packages for the previous distribution release still work).

     3. Run the command with the repository temporarily disabled
            yum --disablerepo=InstallMedia ...

     4. Disable the repository permanently, so yum won't use it by default. Yum
        will then just ignore the repository until you permanently enable it
        again or use --enablerepo for temporary usage:

            yum-config-manager --disable InstallMedia
        or
            subscription-manager repos --disable=InstallMedia

     5. Configure the failing repository to be skipped, if it is unavailable.
        Note that yum will try to contact the repo. when it runs most commands,
        so will have to try and fail each time (and thus. yum will be be much
        slower). If it is a very temporary problem though, this is often a nice
        compromise:

            yum-config-manager --save --setopt=InstallMedia.skip_if_unavailable=true

failure: repodata/repomd.xml from InstallMedia: [Errno 256] No more mirrors to try.
file:///mnt/repodata/repomd.xml: [Errno 14] curl#37 - "Couldn't open file /mnt/repodata/repomd.xml"
 stdout:
2017-11-29 18:12:09,326 - Stack Feature Version Info: Cluster Stack=2.6, Command Stack=None,
Command Version=None -> 2.6
2017-11-29 18:12:09,330 - Group['hadoop'] {}
2017-11-29 18:12:09,332 - User['zookeeper'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True,
'groups': [u'hadoop'], 'uid': None}
2017-11-29 18:12:09,334 - User['ambari-qa'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True,
'groups': ['users'], 'uid': None}
2017-11-29 18:12:09,335 - User['kafka'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups':
[u'hadoop'], 'uid': None}
2017-11-29 18:12:09,335 - File['/var/lib/ambari-agent/tmp/changeUid.sh'] {'content': StaticFile('changeToSecureUid.sh'),
'mode': 0555}
2017-11-29 18:12:09,338 - Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa /tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa
0'] {'not_if': '(test $(id -u ambari-qa) -gt 1000) || (false)'}
2017-11-29 18:12:09,344 - Skipping Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa
/tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa
0'] due to not_if
2017-11-29 18:12:09,368 - Repository['HDP-2.6-repo-1'] {'append_to_file': False, 'base_url':
'http://s3.amazonaws.com/dev.hortonworks.com/HDP/centos7/2.x/BUILDS/2.6.4.0-49', 'action':
['create'], 'components': [u'HDP', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{%
if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0',
'repo_file_name': 'ambari-hdp-1', 'mirror_list': None}
2017-11-29 18:12:09,377 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDP-2.6-repo-1]\nname=HDP-2.6-repo-1\nbaseurl=http://s3.amazonaws.com/dev.hortonworks.com/HDP/centos7/2.x/BUILDS/2.6.4.0-49\n\npath=/\nenabled=1\ngpgcheck=0'}
2017-11-29 18:12:09,377 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents
don't match
2017-11-29 18:12:09,378 - Repository['HDP-UTILS-1.1.0.21-repo-1'] {'append_to_file': True,
'base_url': 'http://s3.amazonaws.com/dev.hortonworks.com/HDP-UTILS-1.1.0.21/repos/centos7',
'action': ['create'], 'components': [u'HDP-UTILS', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{%
if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0',
'repo_file_name': 'ambari-hdp-1', 'mirror_list': None}
2017-11-29 18:12:09,381 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDP-2.6-repo-1]\nname=HDP-2.6-repo-1\nbaseurl=http://s3.amazonaws.com/dev.hortonworks.com/HDP/centos7/2.x/BUILDS/2.6.4.0-49\n\npath=/\nenabled=1\ngpgcheck=0\n[HDP-UTILS-1.1.0.21-repo-1]\nname=HDP-UTILS-1.1.0.21-repo-1\nbaseurl=http://s3.amazonaws.com/dev.hortonworks.com/HDP-UTILS-1.1.0.21/repos/centos7\n\npath=/\nenabled=1\ngpgcheck=0'}
2017-11-29 18:12:09,381 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents
don't match
2017-11-29 18:12:09,382 - Package['unzip'] {'retry_on_repo_unavailability': False, 'retry_count':
5}
2017-11-29 18:12:09,494 - Skipping installation of existing package unzip
2017-11-29 18:12:09,495 - Package['curl'] {'retry_on_repo_unavailability': False, 'retry_count':
5}
2017-11-29 18:12:09,507 - Skipping installation of existing package curl
2017-11-29 18:12:09,508 - Package['hdp-select'] {'retry_on_repo_unavailability': False, 'retry_count':
5}
2017-11-29 18:12:09,520 - Skipping installation of existing package hdp-select
2017-11-29 18:12:09,906 - Command repositories: HDP-2.6-repo-1, HDP-UTILS-1.1.0.21-repo-1
2017-11-29 18:12:09,906 - Applicable repositories: HDP-2.6-repo-1, HDP-UTILS-1.1.0.21-repo-1
2017-11-29 18:12:09,908 - Looking for matching packages in the following repositories: HDP-2.6-repo-1,
HDP-UTILS-1.1.0.21-repo-1
2017-11-29 18:12:24,040 - Package['zookeeper_2_6_4_0_49'] {'retry_on_repo_unavailability':
False, 'retry_count': 5}
2017-11-29 18:12:24,169 - Skipping installation of existing package zookeeper_2_6_4_0_49
2017-11-29 18:12:24,172 - Package['zookeeper_2_6_4_0_49-server'] {'retry_on_repo_unavailability':
False, 'retry_count': 5}
2017-11-29 18:12:24,184 - Installing package zookeeper_2_6_4_0_49-server ('/usr/bin/yum -d
0 -e 0 -y install zookeeper_2_6_4_0_49-server')
2017-11-29 18:12:32,637 - Execution of '/usr/bin/yum -d 0 -e 0 -y install zookeeper_2_6_4_0_49-server'
returned 1. Error downloading packages:
  redhat-lsb-submod-multimedia-4.1-27.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Net-LibIDN-0.12-15.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Net-HTTP-6.06-2.el7.noarch: [Errno 256] No more mirrors to try.
  perl-local-lib-1.008010-4.el7.noarch: [Errno 256] No more mirrors to try.
  perl-IO-HTML-1.00-2.el7.noarch: [Errno 256] No more mirrors to try.
  perl-XML-NamespaceSupport-1.11-10.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Net-SSLeay-1.55-6.el7.x86_64: [Errno 256] No more mirrors to try.
  foomatic-filters-4.0.9-8.el7.x86_64: [Errno 256] No more mirrors to try.
  libdb-devel-5.3.21-20.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Pod-Checker-1.60-2.el7.noarch: [Errno 256] No more mirrors to try.
  perl-LWP-MediaTypes-6.02-2.el7.noarch: [Errno 256] No more mirrors to try.
  perl-File-CheckTree-4.42-3.el7.noarch: [Errno 256] No more mirrors to try.
  1:cups-client-1.6.3-29.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-XML-SAX-Base-1.08-7.el7.noarch: [Errno 256] No more mirrors to try.
  perl-URI-1.60-9.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Test-Harness-3.28-3.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Locale-Codes-3.26-2.el7.noarch: [Errno 256] No more mirrors to try.
  perl-CGI-3.63-4.el7.noarch: [Errno 256] No more mirrors to try.
  redhat-lsb-cxx-4.1-27.el7.x86_64: [Errno 256] No more mirrors to try.
  time-1.7-45.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-ExtUtils-Manifest-1.61-244.el7.noarch: [Errno 256] No more mirrors to try.
  redhat-lsb-printing-4.1-27.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Business-ISBN-Data-20120719.001-2.el7.noarch: [Errno 256] No more mirrors to try.
  at-3.1.13-22.el7.x86_64: [Errno 256] No more mirrors to try.
  mesa-libGLU-9.0.0-4.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Locale-Maketext-1.23-3.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Digest-MD5-2.52-3.el7.x86_64: [Errno 256] No more mirrors to try.
  redhat-lsb-submod-security-4.1-27.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-HTTP-Daemon-6.01-5.el7.noarch: [Errno 256] No more mirrors to try.
  ed-1.9-4.el7.x86_64: [Errno 256] No more mirrors to try.
  systemtap-sdt-devel-3.1-3.el7.x86_64: [Errno 256] No more mirrors to try.
  redhat-lsb-core-4.1-27.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-HTTP-Cookies-6.01-5.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Env-1.04-2.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Data-Dumper-2.145-3.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Test-Simple-0.98-243.el7.noarch: [Errno 256] No more mirrors to try.
  perl-File-Listing-6.04-7.el7.noarch: [Errno 256] No more mirrors to try.
  bc-1.06.95-13.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Compress-Raw-Bzip2-2.061-3.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Encode-Locale-1.03-5.el7.noarch: [Errno 256] No more mirrors to try.
  perl-HTML-Parser-3.71-4.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Class-ISA-0.36-1010.el7.noarch: [Errno 256] No more mirrors to try.
  libpng12-1.2.50-10.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Text-Unidecode-0.04-20.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Text-Soundex-3.04-4.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-HTTP-Date-6.02-8.el7.noarch: [Errno 256] No more mirrors to try.
  spax-1.5.2-13.el7.x86_64: [Errno 256] No more mirrors to try.
  1:perl-Digest-SHA-5.85-4.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-HTML-Tagset-3.20-15.el7.noarch: [Errno 256] No more mirrors to try.
  gdbm-devel-1.10-8.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-ExtUtils-Install-1.58-292.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Digest-1.17-245.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Pod-LaTeX-0.61-2.el7.noarch: [Errno 256] No more mirrors to try.
  perl-WWW-RobotRules-6.02-5.el7.noarch: [Errno 256] No more mirrors to try.
  pyparsing-1.5.6-9.el7.noarch: [Errno 256] No more mirrors to try.
  perl-IO-Socket-SSL-1.94-6.el7.noarch: [Errno 256] No more mirrors to try.
  m4-1.4.16-10.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-autodie-2.16-2.el7.noarch: [Errno 256] No more mirrors to try.
  redhat-lsb-desktop-4.1-27.el7.x86_64: [Errno 256] No more mirrors to try.
  redhat-lsb-languages-4.1-27.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Pod-Parser-1.61-2.el7.noarch: [Errno 256] No more mirrors to try.
  1:perl-FCGI-0.74-8.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-IO-Socket-IP-0.21-4.el7.noarch: [Errno 256] No more mirrors to try.
  perl-HTTP-Message-6.06-6.el7.noarch: [Errno 256] No more mirrors to try.
  1:perl-XML-LibXML-2.0018-5.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-B-Lint-1.17-3.el7.noarch: [Errno 256] No more mirrors to try.
  4:perl-devel-5.16.3-292.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-Business-ISBN-2.06-2.el7.noarch: [Errno 256] No more mirrors to try.
  1:perl-Compress-Raw-Zlib-2.061-4.el7.x86_64: [Errno 256] No more mirrors to try.
  qt-settings-19-23.5.el7.noarch: [Errno 256] No more mirrors to try.
  perl-libwww-perl-6.05-2.el7.noarch: [Errno 256] No more mirrors to try.
  mailcap-2.1.41-2.el7.noarch: [Errno 256] No more mirrors to try.
  1:perl-ExtUtils-ParseXS-3.18-3.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Pod-Plainer-1.03-4.el7.noarch: [Errno 256] No more mirrors to try.
  perl-ExtUtils-MakeMaker-6.68-3.el7.noarch: [Errno 256] No more mirrors to try.
  perl-Sys-Syslog-0.33-3.el7.x86_64: [Errno 256] No more mirrors to try.
  1:perl-Module-Pluggable-4.8-3.el7.noarch: [Errno 256] No more mirrors to try.
  perl-CPAN-1.9800-292.el7.noarch: [Errno 256] No more mirrors to try.
  perl-XML-SAX-0.99-9.el7.noarch: [Errno 256] No more mirrors to try.
  libmng-1.0.10-14.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-HTTP-Negotiate-6.01-5.el7.noarch: [Errno 256] No more mirrors to try.
  mailx-12.5-16.el7.x86_64: [Errno 256] No more mirrors to try.
  perl-IO-Compress-2.061-2.el7.noarch: [Errno 256] No more mirrors to try.
  redhat-lsb-4.1-27.el7.x86_64: [Errno 256] No more mirrors to try.
  qt3-3.3.8b-51.el7.x86_64: [Errno 256] No more mirrors to try.
2017-11-29 18:12:32,638 - Failed to install package zookeeper_2_6_4_0_49-server. Executing
'/usr/bin/yum clean metadata'
2017-11-29 18:12:35,814 - Retrying to install package zookeeper_2_6_4_0_49-server after 30
seconds

Command failed after 1 tries


> Ambari 2.6 build has python 2.6 dependency
> ------------------------------------------
>
>                 Key: AMBARI-22516
>                 URL: https://issues.apache.org/jira/browse/AMBARI-22516
>             Project: Ambari
>          Issue Type: Improvement
>         Environment: RHEL 7.4
>            Reporter: Ronald van de Kuil
>            Priority: Critical
>         Attachments: AMBARI-22516.branch-2.6.patch
>
>
> The installation guide for Ambari 2.6 instructs us to build the RHEL rpm using:
> mvn -B clean install package rpm:rpm -DnewVersion=2.6.0.0.0 -DskipTests -Dpython.ver="python
>= 2.6"
> I just tried this on RHEL 7 (which is not listed in the instructions) and then the build
fails:
> /usr/lib/rpm/brp-python-bytecompile: line 44: /usr/bin/python2.6: No such file or directory
> I read that downgrading RHEL 7 to use python 2.6 is not a good idea because allegedly
several OS scripts depend on it.
> I saw a different JIRA issue that gave some suggestions to overwrite the required version
using commandline options.
> Should ambari be able to run on the version 7 of the OS at this moment? .And if so, should
it work fine with the 2.7 version of python?



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message